/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaff.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;

/**
 * 培训经历Entity
 * @author ssrh
 * @version 2018-07-27
 */
public class WorkStaffTraining extends DataEntity<WorkStaffTraining> {
	
	private static final long serialVersionUID = 1L;
	private String staff;		// 员工ID
	private String name;		// 培训名称
	private String agency;		// 培训机构
	private String address;		// 培训地点
	private Date startDate;		// 培训起始日期
	private Date endDate;		// 培训终止日期
	private String type;		// 培训类型
	private String hours;		// 学时
	private String certificate;		// 所获证书
	private String filePath;		// 文件
    private String fileName;		// 文件名
    private MultipartFile file;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }
	
	public WorkStaffTraining() {
		super();
	}

	public WorkStaffTraining(String id){
		super(id);
	}

	@ExcelField(title="员工ID", align=2, sort=7)
	public String getStaff() {
		return staff;
	}

	public void setStaff(String staff) {
		this.staff = staff;
	}
	
	@ExcelField(title="培训名称", align=2, sort=8)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="培训机构", align=2, sort=9)
	public String getAgency() {
		return agency;
	}

	public void setAgency(String agency) {
		this.agency = agency;
	}
	
	@ExcelField(title="培训地点", align=2, sort=10)
	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}
	
	@ExcelField(title="培训起始日期", align=2, sort=11)
	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}
	
	@ExcelField(title="培训终止日期", align=2, sort=12)
	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	
	@ExcelField(title="培训类型", dictType="", align=2, sort=13)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="学时", align=2, sort=14)
	public String getHours() {
		return hours;
	}

	public void setHours(String hours) {
		this.hours = hours;
	}
	
	@ExcelField(title="所获证书", align=2, sort=15)
	public String getCertificate() {
		return certificate;
	}

	public void setCertificate(String certificate) {
		this.certificate = certificate;
	}
	
	@ExcelField(title="文件", align=2, sort=16)
	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
	
}